.popup-banner {
    position: fixed;
    bottom: 65px;
    right: 20px;
    width: 350px;
    height: 192px;
    z-index: 11;
    border-radius: 20px;
}

.popup-banner a {
    display: block;
    width: 100%;
    height: 100%;
}

.popup-banner a img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    border-radius: 20px;
}

.popup-banner .close-popup-banner {
    position: absolute;
    display: none;
    width: 40px;
    height: 40px;
    background: #D00025;
    border-radius: 50%;
    right: -10px;
    top: -10px;
}

.popup-banner .close-popup-banner:before {
    content: url(/local/templates/new/images/close_popup_banner.png);
    width: 14px;
    height: 14px;
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 0;
}

.popup-banner .line {
    display: none;
}

.popup-banner .line.filling {
    display: block;
    width: 100%;
    height: 5px;
    background: white;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translate(-50%);
}

.popup-banner .line.filling:after {
    content: '';
    width: 100%;
    height: 5px;
    background: var(--red);
    position: absolute;
    bottom: 0;
    left: 0;
    animation: filling 10s;
}

@media (max-width: 767px) {
    .popup-banner {
        bottom: 55px;
        width: 92%;
        left: 50%;
        transform: translate(-50%, 0);
    }
}

@keyframes filling {
    0% {
        width: 0;
    }
}